# List flow versions

Returns flow versions.

```http
GET https://api.pozy.ai/v1/whatsapp/flows/{flowId}/versions
```

- Area: WhatsApp / WhatsApp Flows
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `flowId` (string, required)

## Query parameters

- `accountId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/whatsapp/flows/6dcb639fb7c2f34487add973/versions?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/flows/6dcb639fb7c2f34487add973/versions?accountId=696e0b682d0a31188e7a2ba9", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/whatsapp/flows/6dcb639fb7c2f34487add973/versions",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `versions`, array of object
  - `flowId`, string
  - `version`, integer
  - `parentFlowId`, string: Can be null
  - `name`, string: Can be null
  - `status`, string: Can be null
  - `missing`, boolean

```json
{
  "versions": [
    {
      "flowId": "6dcb639fb7c2f34487add973",
      "version": 1,
      "parentFlowId": "682cf20d1178512abb2909e8",
      "name": "Acme",
      "status": "active",
      "missing": true
    }
  ]
}
```
